Uploaded image for project: 'Appcelerator - INBOX'
  1. Appcelerator - INBOX
  2. AC-5855

cannot clean a project if SDK is less than 7.3.0.GA where 7.3.0.GA is selected

    Details

    • Type: Bug
    • Status: Closed
    • Resolution: Duplicate
    • Affects Version/s: None
    • Labels:
      None
    • Environment:

      Mac High Sierra and Sierra (not tested on any others)
      Node 8.7.x and 8.11.x (not tested on any others)
      appc 7.0.3 and 7.0.5 (not tested on others)

      Description

      Steps to reproduce:
      1) run `appc ti sdk select` to select an SDK < 7.3.0.GA (I have reproduced this issue with 7.1.1.GA and 7.2.0.GA)
      2) create a new appcelerator project
      3) run `appc ti sdk select 7.3.0.GA`
      4) in your project created in step 2) run `appc ti clean`

      An error is thrown...

      Here is my console output (shows it failing on 7.0.3 and 7.0.5)

      mbp:testclean paulryan$ appc ti clean
      Appcelerator Command-Line Interface, version 7.0.3
      Copyright (c) 2014-2018, Appcelerator, Inc. All Rights Reserved.

      [INFO] tiapp.xml <sdk-version> set to 7.2.0.GA, but current Titanium SDK set to 7.3.0.GA
      [INFO] Forking correct SDK command: "/Users/paulryan/.nvm/versions/node/v8.7.0/bin/node" "ti" "clean" "-sdk" "7.2.0.GA" "no-banner" "config-file" "/Users/paulryan/.titanium/config.json" "project-dir" "/Users/paulryan/Documents/projects/piota/temp/testclean" "-log-level" "trace"

      module.js:473
      throw err;
      ^

      Error: Cannot find module '/Users/paulryan/Documents/projects/piota/temp/testclean/ti'
      at Function.Module._resolveFilename (module.js:527:15)
      at Function.Module._load (module.js:453:25)
      at Function.Module.runMain (module.js:665:10)
      at startup (bootstrap_node.js:187:16)
      at bootstrap_node.js:608:3
      mbp:testclean paulryan$ appc use 7.0.5
      7.0.5 is now your active version
      mbp:testclean paulryan$ appc ti clean
      Appcelerator Command-Line Interface, version 7.0.5
      Copyright (c) 2014-2018, Appcelerator, Inc. All Rights Reserved.

      [INFO] tiapp.xml <sdk-version> set to 7.2.0.GA, but current Titanium SDK set to 7.3.0.GA
      [INFO] Forking correct SDK command: "/Users/paulryan/.nvm/versions/node/v8.7.0/bin/node" "ti" "clean" "-sdk" "7.2.0.GA" "no-banner" "config-file" "/Users/paulryan/.titanium/config.json" "project-dir" "/Users/paulryan/Documents/projects/piota/temp/testclean" "-log-level" "trace"

      module.js:473
      throw err;
      ^

      Error: Cannot find module '/Users/paulryan/Documents/projects/piota/temp/testclean/ti'
      at Function.Module._resolveFilename (module.js:527:15)
      at Function.Module._load (module.js:453:25)
      at Function.Module.runMain (module.js:665:10)
      at startup (bootstrap_node.js:187:16)
      at bootstrap_node.js:608:3
      mbp:testclean paulryan$

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                shossain Shak Hossain (Inactive)
                Reporter:
                paulatstepup Paul Ryan
              • Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Git Source Code